Bug 245655 - Review Request: perl-Gearman - Distributed job system
Review Request: perl-Gearman - Distributed job system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: perl-Gearman-Server
  Show dependency treegraph
 
Reported: 2007-06-25 17:21 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 17:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-06-25 17:21:42 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-Gearman.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-Gearman-1.08-1.fc7.src.rpm
Description:
Gearman is a system to farm out work to other machines,
dispatching function calls to machines that are better suited to do work,
to do work in parallel, to load balance lots of function calls,
or to call functions between languages.

This package contains the common part and the client, I'll also package perl-Gearman-Server, which depends on this.
Comment 1 Jason Tibbitts 2007-06-28 18:36:31 EDT
rpmlint has this to say:
   E: perl-Gearman useless-explicit-provides perl(Gearman::Client)
which unfortunately means you have a dependency to filter out.

The URL seems invalid; at least I get a 404 when attempting to download it.
  http://search.cpan.org/CPAN/authors/id/B/BR/BRADFITZ/Gearman-1.08.tar.gz
seems to work for me.

I can find no license statement of any kind in the code, documentation or upstream web page.  How did you determine that "GPL or Artistic" applies?

Review:
* source files match upstream:
   bf4fe03657e49cd5109be54d43158d8e3979329f11f1c7de4420b9d4afc1a8b7  
   Gearman-1.08.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
? license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has a valid complaint.
X final provides and requires are sane:
   perl(Gearman::Client)
   perl(Gearman::Client) = 1.08
   perl(Gearman::Job)
   perl(Gearman::JobStatus)
   perl(Gearman::Objects)
   perl(Gearman::ResponseParser)
   perl(Gearman::ResponseParser::Taskset)
   perl(Gearman::Task)
   perl(Gearman::Taskset)
   perl(Gearman::Util)
   perl(Gearman::Worker)
   perl-Gearman = 1.08-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Gearman::Client)
   perl(Gearman::JobStatus)
   perl(Gearman::Objects)
   perl(Gearman::ResponseParser::Taskset)
   perl(Gearman::Task)
   perl(Gearman::Taskset)
   perl(Gearman::Util)
   perl(IO::Socket::INET)
   perl(Scalar::Util)
   perl(Socket)
   perl(String::CRC32)
   perl(Time::HiRes)
   perl(base)
   perl(fields)
   perl(strict)

* %check is present and all runnable tests pass, but not many of them run 
   because they require a running server to test against.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Ruben Kerkhof 2007-06-28 19:26:06 EDT
Hi Jason, thanks for the review

> rpmlint has this to say:
> E: perl-Gearman useless-explicit-provides perl(Gearman::Client)
> which unfortunately means you have a dependency to filter out.

Good catch, fixed

> The URL seems invalid

Ah, this is what cpanspec generates. Fixed.

> I can find no license statement of any kind in the code, documentation or upstream web page.
> How did you determine that "GPL or Artistic" applies?

I tried to prove it mathematically, but somehow failed ;-)
I've just mailed the author, hope to hear from him soon.

New version:
http://rubenkerkhof.com/packages/perl-Gearman.spec
http://rubenkerkhof.com/packages/perl-Gearman-1.08-2.fc7.src.rpm
Comment 3 Ruben Kerkhof 2007-06-30 05:23:14 EDT
The package now includes the license.

New version:

http://rubenkerkhof.com/packages/perl-Gearman.spec
http://rubenkerkhof.com/packages/perl-Gearman-1.09-1.fc7.src.rpm
Comment 4 Jason Tibbitts 2007-06-30 14:23:26 EDT
Great!  rpmlint output is now clean, the errant provided symbol is gone, and the
license is now obvious.

APPROVED
Comment 5 Ruben Kerkhof 2007-06-30 14:41:25 EDT
New Package CVS Request
=======================
Package Name: perl-Gearman 
Short Description: Distributed job system
Owners: ruben@rubenkerkhof.com
Branches: F-6 F-7

Comment 6 Kevin Fenzi 2007-07-02 14:54:50 EDT
cvs done.
Note that you are supposed to set the fedora-cvs flag to ?, not +. :) 
Comment 7 Ruben Kerkhof 2007-07-02 17:03:19 EDT
Thanks Kev, I must have been sleeping
Comment 8 Ruben Kerkhof 2007-08-09 18:04:50 EDT
ackage Change Request
======================
Package Name: perl-Gearman
New Branches: EL-4 EL-5
Comment 9 Kevin Fenzi 2007-08-09 18:53:25 EDT
cvs done.
Comment 10 Petr Pisar 2011-07-13 04:52:34 EDT
Package Change Request
======================
Package Name: perl-Gearman
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
package.
Comment 11 Jon Ciesla 2011-07-15 10:03:38 EDT
This is now done via pkgdb.

Note You need to log in before you can comment on or make changes to this bug.